<template>
  <div class="InfoPopup">
    <Popup
      ref="pop"
      v-for="(data, index) in PopupData"
      :key="data.id"
      :title="data.title || '属性'"
      maxHeight="400"
      @close="close(data.id)"
      left="calc(90% - 800px)"
      top="calc(100% - 550px) "
    >

      <div>
        <div style="width:300px;height:200px;">
          <model-layer-vue></model-layer-vue>
        </div>

      </div>
    </Popup>
  </div>
</template>

<script>
import ModelLayerVue from './ModelLayer.vue';
import Popup from './Popup.vue';

export default {
  name: 'modelAttach',

  components: {
    Popup,
    ModelLayerVue,

  },
  data() {
    return {
      // 弹窗数据
      PopupData: ['modelAttach'],
      left: 'calc(100% - 600px)',
      top: 'calc(100% - 10px)',


    };
  },
  computed: {},
  mounted() {

  },
  methods: {

    // 关闭所有
    closeAll() {
      this.PopupData.forEach((item) => {
        item.close && item.close();
      });
      this.PopupData = [];
    },
    // 关闭弹窗
    close(id) {
      let index = this.PopupData.findIndex((item) => {
        return item.id === id;
      });
      this.$store.state.attachModel = false;
    },
    // 打开弹窗
    open(title, value, style = {}) {
      this.PopupData.push({
        id: this.createRandomId(),
        title,
        value,
        ...style,
      });
      let index = this.PopupData.length - 1;
      this.$nextTick(() => {
        this.$refs.pop[index].open();
      });
      return this.PopupData[index];
    },
    // 随机id
    createRandomId() {
      return (
        (Math.random() * 10000000).toString(16).substr(0, 4) +
        '-' +
        new Date().getTime() +
        '-' +
        Math.random().toString().substr(2, 5)
      );
    },
  },
};
</script>

 
